Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class Platform

    java.lang.Object
      com.sun.cldc.jna.Platform

Direct Known Subclasses:
  Posix, Spot, Windows

    public abstract class Platform

extends Object

Provide simplified platform information

Field Summary
`protected static Hashtable` | `commonMappings`
`static String` | `PLATFORM_PACKAGE`

Constructor Summary
`Platform()`

Method Summary
`static String` | `commonLibraryMapping(String genericName)` Some platforms have wildly different names for standard libraries.
`abstract boolean` | `deleteNativeLibraryAfterVMExit()`
`static Platform` | `getPlatform()`
`abstract String` | `getPlatformNativePackageName()` Get the name of the package that contains the native implementations for this platform (solaris, linux, windows, etc):
`abstract String` | `getPlatformPackageName()` Get the name of the package that contains the platform classes (posix, windows, etc):
`abstract boolean` | `hasRuntimeExec()`
`abstract boolean` | `isFreeBSD()`
`abstract boolean` | `isLinux()`
`abstract boolean` | `isMac()`
`abstract boolean` | `isOpenBSD()`
`abstract boolean` | `isSolaris()`
`abstract boolean` | `isWindows()`
`abstract boolean` | `isWindowsCE()`
`abstract boolean` | `isX11()`
`String` | `platformName()` Get the name of the package that contains the native implementation for this platform.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### commonMappings

    protected static Hashtable commonMappings

### PLATFORM_PACKAGE

    public static final String PLATFORM_PACKAGE

See Also:
  Constant Field Values

Constructor Detail

### Platform

    public Platform()

Method Detail

### getPlatform

    public static Platform getPlatform()

### deleteNativeLibraryAfterVMExit

    public abstract boolean deleteNativeLibraryAfterVMExit()

### hasRuntimeExec

    public abstract boolean hasRuntimeExec()

### isFreeBSD

    public abstract boolean isFreeBSD()

### isLinux

    public abstract boolean isLinux()

### isMac

    public abstract boolean isMac()

### isOpenBSD

    public abstract boolean isOpenBSD()

### isSolaris

    public abstract boolean isSolaris()

### isWindows

    public abstract boolean isWindows()

### isWindowsCE

    public abstract boolean isWindowsCE()

### isX11

    public abstract boolean isX11()

### getPlatformPackageName

    public abstract String getPlatformPackageName()

  Get the name of the package that contains the platform classes (posix, windows, etc):

### getPlatformNativePackageName

    public abstract String getPlatformNativePackageName()

  Get the name of the package that contains the native implementations for this platform (solaris, linux, windows, etc):

### commonLibraryMapping

    public static String commonLibraryMapping(String genericName)

  Some platforms have wildly different names for standard libraries. Try to catch them here.

  Parameters:
    `genericName` -
  Returns:
    the base name of the library for the current platform

### platformName

    public String platformName()

  Get the name of the package that contains the native implementation for this platform. Name is all lower case.

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"